:root {
    --anresis-spacing-base: 0.5rem;
    --anresis-spacing-1: calc(1 * var(--anresis-spacing-base));
    --anresis-spacing-2: calc(1.25 * var(--anresis-spacing-base));
    --anresis-spacing-3: calc(1.5 * var(--anresis-spacing-base));
    --anresis-spacing-4: calc(2 * var(--anresis-spacing-base));
    --anresis-spacing-5: calc(2.5 * var(--anresis-spacing-base));
    --anresis-spacing-6: calc(3 * var(--anresis-spacing-base)); 
    --anresis-spacing-7: calc(4 * var(--anresis-spacing-base)); 
    --anresis-spacing-8: calc(5 * var(--anresis-spacing-base)); 
    --anresis-spacing-9: calc(6 * var(--anresis-spacing-base));
    --anresis-spacing-10: calc(7 * var(--anresis-spacing-base)); 
    --anresis-spacing-11: calc(8 * var(--anresis-spacing-base)); 
    --anresis-spacing-12: calc(9 * var(--anresis-spacing-base)); 
    --anresis-spacing-13: calc(10 * var(--anresis-spacing-base)); 

    --anresis-grid-gap: var(--anresis-s4);

    --anresis-wide-content-width: 80%;
    --anresis-content-width: 80%;
    
    /* Margin of the layout */
    --anresis-layout-content-margin: 10%;
    --anresis-wide-content-margin: min(
        calc((var(--anresis-wide-content-width) - var(--anresis-content-width)) / 2),
        calc((100vw - var(--anresis-content-width) - var(--anresis-layout-content-margin)) / 2)
    );


    --anresis-content-grid: [full-content-start] minmax(var(--anresis-layout-content-margin), 1fr) [wide-content-start] var(--anresis-wide-content-margin) [content-start] minmax(0, var(--anresis-content-width)) [content-end] var(--anresis-wide-content-margin) [wide-content-end] minmax(var(--anresis-layout-content-margin), 1fr) [full-content-end];

    --anresis-main-header-height: 100px;

    /**
     * Colors
     **/
    --anresis-color-white: #fff;
    --anresis-color-white-text: var(--anresis-color-white);
    --anresis-color-white-background: var(--anresis-color-white);
    --anresis-color-white-contrast: var(--anresis-color-text-light);
    --anresis-color-white-filter: brightness(0) saturate(100%) invert(100%);

    --anresis-color-text: #605b5b;
    --anresis-color-text-filter: brightness(0) saturate(100%) invert(36%) sepia(8%) saturate(229%) hue-rotate(314deg) brightness(93%) contrast(85%);

    --anresis-color-text-dark: #000;

    --anresis-color-grey-1: #ddd;
    --anresis-color-grey-2: #ebf0f5;
    --anresis-color-grey-2-text: var(--anresis-color-grey-2);
    --anresis-color-grey-2-background: var(--anresis-color-grey-2);
    --anresis-color-grey-3: #ccc;
    --anresis-color-grey-4: #454e57;
    --anresis-color-grey-5: #555f69;
    --anresis-color-grey-6: #dce4ec;
    --anresis-color-grey-6-text: var(--anresis-color-grey-6);
    --anresis-color-grey-6-background: var(--anresis-color-grey-6);
    --anresis-color-grey-6-filter: brightness(0) saturate(100%) invert(95%) sepia(4%) saturate(499%) hue-rotate(176deg) brightness(97%) contrast(90%);;
    --anresis-color-grey-7: #888;
    --anresis-color-grey-7-filter: brightness(0) saturate(100%) invert(56%) sepia(0%) saturate(352%) hue-rotate(221deg) brightness(96%) contrast(90%);;

    --anresis-color-button: #A9C7D6;
    --anresis-color-button-hover: #9bb9c8;

    
    --anresis-color-primary: #00aaaf;
    --anresis-color-primary-text: var(--anresis-color-primary);
    --anresis-color-primary-background: var(--anresis-color-primary);
    --anresis-color-primary-filter: brightness(0) saturate(100%) invert(44%) sepia(41%) saturate(2737%) hue-rotate(150deg) brightness(96%) contrast(101%);

    --anresis-color-primary-light: #16b7b8;
    --anresis-color-primary-light-text: var(--anresis-color-primary-light);
    --anresis-color-primary-light-background: var(--anresis-color-primary-light);
    
    --anresis-color-primary-dark: #008f94;
    --anresis-color-primary-dark-text: var(--anresis-color-primary-dark);
    --anresis-color-primary-dark-background: var(--anresis-color-primary-dark);
    --anresis-color-primary-dark-filter: brightness(0) saturate(100%) invert(31%) sepia(85%) saturate(1720%) hue-rotate(159deg) brightness(92%) contrast(106%);

    --anresis-color-secondary: #7190A0;
    --anresis-color-secondary-text: var(--anresis-color-secondary);
    --anresis-color-secondary-background: var(--anresis-color-secondary);
    --anresis-color-secondary-dark: #83A3B4;
    --anresis-color-secondary-dark-text: var(--anresis-color-secondary-dark);
    --anresis-color-secondary-dark-background: var(--anresis-color-secondary-dark);

    /**
     * Color Filters
     **/
    --anresis-filter-white: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(0%) hue-rotate(93deg) brightness(103%) contrast(103%);
    

    /**
     * Font Weights
     **/
    --anresis-font-weight-extra-light: 200;
    --anresis-font-weight-light: 300;
    --anresis-font-weight-regular: 400;
    --anresis-font-weight-semi-bold: 600;
    --anresis-font-weight-bold: 700;
    --anresis-font-weight-extra-bold: 800;

    --anresis-font-panton: "Source Sans 3", sans-serif;
    --anresis-font-sans: "Source Sans 3", system-ui, sans-serif;

    /**
     * Grid
     **/
    --anresis-grid-gap: var(--anresis-spacing-7);
    --anresis-grid-gap-large: var(--anresis-spacing-12);

    /**
     * Frames
     **/
    --anresis-frame-spacing: var(--anresis-spacing-7);

    /**
     * Fonts
     **/
    /* Typography */
    --anresis-font-h1: var(--anresis-font-weight-bold) 2.375rem/1.4 var(--anresis-font-sans);
    --anresis-font-h2: var(--anresis-font-weight-bold) 2rem/1.4 var(--anresis-font-sans);
    --anresis-font-h3: var(--anresis-font-weight-semi-bold) 1.625rem/1.4 var(--anresis-font-sans);
    --anresis-font-h4: var(--anresis-font-weight-bold) 1.5rem/1.4 var(--anresis-font-sans);
    --anresis-font-text: var(--anresis-font-weight-regular) 1.25rem/1.5 var(--anresis-font-sans);
    --anresis-font-text-small: var(--anresis-font-weight-regular) 1.25rem/1.5 var(--anresis-font-sans);

    /* Menu */
    --anresis-font-main-menu-item: var(--anresis-font-weight-regular) 1.25rem/1.2 var(--anresis-font-sans);
    --anresis-font-main-menu-item-transform: uppercase;
    --anresis-font-sub-menu-item: var(--anresis-font-weight-regular) 1.125rem/1 var(--anresis-font-sans);

    --anresis-font-overview-menu-item: var(--anresis-font-weight-semi-bold) 1.8rem/1.6 var(--anresis-font-sans);
    --anresis-font-overview-sub-menu-item: var(--anresis-font-weight-regular) 1.5rem/1.6 var(--anresis-font-sans);

    --anresis-font-footer-menu: var(--anresis-font-weight-light) 1rem/2.5rem var(--anresis-font-sans);

    --anresis-font-page-header-link: var(--anresis-font-text);


    /* Accordion */
    --anresis-accordion-trigger-padding: var(--anresis-spacing-5) var(--anresis-spacing-7);
    --anresis-accordion-trigger-radius: 0;
    --anresis-accordion-trigger-background-color: var(--anresis-color-grey-2-background);
    --anresis-accordion-trigger-active-background-color: var(--anresis-color-grey-6-background);
    --anresis-font-accordion-title: var(--anresis-font-h3);
    --anresis-font-accordion-close: var(--anresis-font-weight-light) 1.5rem/1.4 var(--anresis-font-sans);
    --anresis-font-accordion-tile-title: var(--anresis-font-weight-light) 1.375rem/1.2rem var(--anresis-font-sans);
    --anresis-font-accordion-icon-text: var(--anresis-font-weight-bold) 2rem/26px var(--anresis-font-sans);

    /* Lead */
    --anresis-font-lead: var(--anresis-font-weight-regular) 1.75rem/1.5 var(--anresis-font-sans);
    --anresis-font-lead-bold: var(--anresis-font-weight-bold) 2rem/1.5 var(--anresis-font-sans);

    /* Overview Card */
    --anresis-font-overview-card-title: var(--anresis-font-weight-semi-bold) 1.5rem/1.3 var(--anresis-font-sans);
    --overview-card-image-background-color: #7190A0;
    --overview-card-image-hover-background-color: #83a3b4;

    /* Link List */
    --anresis-font-link-list-link: var(--anresis-font-weight-regular) 1.125rem/1.2 var(--anresis-font-sans);

    /* Quiz */
    --anresis-font-quiz-title: var(--anresis-font-weight-bold) 1.125rem/1.3 var(--anresis-font-sans);
   
    /* Slider */
    --anresis-font-slider-title: var(--anresis-font-h2);
    --anresis-font-slider-text: var(--anresis-font-weight-regular) 1.25rem/1.5 var(--anresis-font-sans);
    
    /* Statistic */
    --anresis-font-statistic-description: var(--anresis-font-h3);
    --anresis-font-statistic-number: var(--anresis-font-weight-bold) 6.5rem/1.5 var(--anresis-font-sans);
    --anresis-font-statistic-sign: var(--anresis-font-weight-light) 4rem/1.5 var(--anresis-font-sans);
    --anresis-font-statistic-text: var(--anresis-font-weight-semi-bold) 1.625rem/1.5 var(--anresis-font-sans);

    /* Logos */
    --anresis-font-logos-title: var(--anresis-font-h3);

    /* Publication List */
    --anresis-font-publication-list-title: var(--anresis-font-h4);
    --anresis-font-publication-list-description: var(--anresis-font-text);

    --anresis-font-sub-menu-item-mobile: var(--anresis-font-weight-regular) 0.875rem var(--anresis-font-panton);
    --anresis-font-breadcrumb-menu-item: var(--anresis-font-weight-extra-bold) 0.875rem var(--anresis-font-panton);
    --anresis-font-meta-menu-item: var(--anresis-font-weight-extra-bold) 0.875rem var(--anresis-font-panton);
    --anresis-font-meta-menu-item-mobile: var(--anresis-font-weight-extra-bold) 1.125rem var(--anresis-font-panton);
    --anresis-font-language-menu-item: var(--anresis-font-weight-extra-bold) 0.875rem var(--anresis-font-panton);
    --anresis-font-language-menu-item-mobile: var(--anresis-font-weight-extra-bold) 1.125rem var(--anresis-font-panton);
    --anresis-font-search-bar-input: var(--anresis-font-weight-extra-light) 1.25rem var(--anresis-font-sans);
}

@media (max-width: 1499px) {
    :root {
        --anresis-font-main-menu-item: var(--anresis-font-weight-regular) 1rem/1.2 var(--anresis-font-sans);
    }
}

@media (max-width: 1299px) {
    :root {
        --anresis-font-statistic-number: var(--anresis-font-weight-bold) 5rem/1.5 var(--anresis-font-sans);
        --anresis-font-accordion-tile-title: var(--anresis-font-weight-light) 1.25rem/1.2rem var(--anresis-font-sans);
    }
}

@media (max-width: 1199px) {
    :root {
        --anresis-font-h1: var(--anresis-font-weight-bold) 2rem/1.4 var(--anresis-font-sans);
        --anresis-font-h2: var(--anresis-font-weight-bold) 1.625rem/1.4 var(--anresis-font-sans);
        --anresis-font-h3: var(--anresis-font-weight-semi-bold) 1.375rem/1.4 var(--anresis-font-sans);
        --anresis-font-h4: var(--anresis-font-weight-bold) 1.25rem/1.4 var(--anresis-font-sans);
        --anresis-font-text: var(--anresis-font-weight-regular) 1.125rem/1.5 var(--anresis-font-sans);
        --anresis-font-lead: var(--anresis-font-weight-regular) 1.5rem/1.5 var(--anresis-font-sans);
        --anresis-font-lead-bold: var(--anresis-font-weight-bold) 1.625rem/1.5 var(--anresis-font-sans);

        --anresis-font-statistic-number: var(--anresis-font-weight-bold) 4.5rem/1.5 var(--anresis-font-sans);
        --anresis-font-statistic-sign: var(--anresis-font-weight-light) 3.5rem/1.5 var(--anresis-font-sans);
        --anresis-font-statistic-text: var(--anresis-font-weight-semi-bold) 1.4375rem/1.5 var(--anresis-font-sans);

        --anresis-font-accordion-close: var(--anresis-font-weight-light) 1.125rem/1.4 var(--anresis-font-sans);
    }
}

@media (max-width: 1023px) {
    :root {
        --anresis-font-h1: var(--anresis-font-weight-bold) 1.375rem/1.4 var(--anresis-font-sans);
        --anresis-font-h2: var(--anresis-font-weight-bold) 1.25rem/1.4 var(--anresis-font-sans);
        --anresis-font-h3: var(--anresis-font-weight-semi-bold) 1.125rem/1.4 var(--anresis-font-sans);
        --anresis-font-h4: var(--anresis-font-weight-bold) 1rem/1.4 var(--anresis-font-sans);
        --anresis-font-text: var(--anresis-font-weight-regular) 1rem/1.5 var(--anresis-font-sans);
    
        --anresis-font-lead: var(--anresis-font-weight-regular) 1.125rem/1.5 var(--anresis-font-sans);
        --anresis-font-lead-bold: var(--anresis-font-weight-bold) 1.25rem/1.5 var(--anresis-font-sans);

        --anresis-font-statistic-number: var(--anresis-font-weight-bold) 3rem/1.5 var(--anresis-font-sans);
        --anresis-font-statistic-sign: var(--anresis-font-weight-light) 2.5rem/1.5 var(--anresis-font-sans);
        --anresis-font-statistic-text: var(--anresis-font-weight-semi-bold) 1rem/1.5 var(--anresis-font-sans);
    }
}

@media (max-width: 767px) {
    :root {
        --anresis-font-lead: var(--anresis-font-weight-regular) 1rem/1.5 var(--anresis-font-sans);
        --anresis-font-lead-bold: var(--anresis-font-weight-bold) 1.125rem/1.5 var(--anresis-font-sans);

        --anresis-font-statistic-number: var(--anresis-font-weight-bold) 2.5rem/1.5 var(--anresis-font-sans);
        --anresis-font-statistic-sign: var(--anresis-font-weight-light) 1.5rem/1.5 var(--anresis-font-sans);

    }
}

@media (max-width: 479px) {
    :root {
        --anresis-content-width: 90%;
        
        /* Margin of the layout */
        --anresis-layout-content-margin: 5%;
    }
}
